This question is answered. Helpful answers available: 1. Correct answers available: 1.


Permlink Replies: 2 - Pages: 1 - Last Post: 10-Apr-2013 20:01 Last Post By: Berenique Threads: [ Previous | Next ]
Berenique

Posts: 2
Registered: 20-Feb-2012
Request for recompilation for Java 1.5
Posted: 09-Apr-2013 13:54
 
  Click to reply to this thread Reply
Hi,

Can you please recompile SimpleViewer for Java 1.5. I'm on a Mac that only has access to Java 1.5. David told me one simply adds these compiler flags: -source=1.5 -target=1.5.

Thanks in advance for your help!

Ania
monkeyboy

Posts: 1,213
Registered: 21-Jun-2008
Re: Request for recompilation for Java 1.5
Posted: 09-Apr-2013 14:58   in response to: Berenique in response to: Berenique
Helpful
  Click to reply to this thread Reply
Sorry, it's not that simple (or possible). SimpleViewer actually requires Java 6.
There were several methods and classes that were introduced in Java 6 which made life much easier when coding the skin. If I remember correctly, there were at least thee or four separate areas where the code could be greatly simplified by using Java 6 so I took the decision to use the new methods and classes available and for the skin to require Java 6 back in November 2011.
The last version of the skin which will work under Java 5 is v5.12.1 (15 releases ago) and it can be downloaded from the skin's download page here. (Click the 'Show all' button and scroll down.)
Berenique

Posts: 2
Registered: 20-Feb-2012
Re: Request for recompilation for Java 1.5
Posted: 10-Apr-2013 20:01   in response to: monkeyboy in response to: monkeyboy
 
  Click to reply to this thread Reply
Thank you very much for your answer.
Legend
Forum admins
Helpful Answer
Correct Answer

Point your RSS reader here for a feed of the latest messages in all forums